### Input

Category

Special

Function

Defines an input parameter for a macro.

Syntax

Available only through the user interface.

Outputs

Name | Type | Description
--- | --- | ---
`parameter` | object | input value to macro

Functional Details

Use the configuration dialog box of this module to specify the parameter name, description, default value (if any), and tab position on the macro icon. This module is used inside a macro: its output is the macro input required by other modules in the macro. For additional information about the Input tool, see "Creating Macros" in IBM Visualization Data Explorer User's Guide.

Example Macro and Program

`MakeLineMacro.net` is used by the visual program `PlotLine2.net`

See Also

DXLInput, Output, DXLOutput, DXLInputNamed

[ OpenDX Home at IBM | OpenDX.org ]